import { DataTexture, Texture } from "three";
import { BMap } from "../../bmap";
import { Poi2 } from "../../elements";
interface StartRotateHelperPoiOptions {
    size: [number, number];
}
export declare class StartRotateHelperPoi extends Poi2 {
    bmap: BMap;
    config: StartRotateHelperPoiOptions;
    static canvas: HTMLCanvasElement;
    static ctx: CanvasRenderingContext2D;
    static textureMap: Map<number, Texture>;
    constructor(bmap: BMap, config: StartRotateHelperPoiOptions);
    addDebug(): void;
    setAngle(angle: number): void;
    _initIcon(texture: Texture): void;
    initSize(): void;
    draw(angle: number): void;
    getImageData(): ImageData;
    getTexture(imageData: ImageData): DataTexture;
    dispose(): void;
    static dispose(): void;
}
export {};
